Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000686KdenliveRenderingpublic2009-02-20 18:042009-06-18 01:51
Reporterelvanor 
Assigned Tomadsdyd 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.2 
Target VersionFixed in Version0.7.3 
Summary0000686: Rendering a clip creates corrupt movie after the 10th minute
DescriptionI am using latest versions of KDEnlive and mlt from Gentoo (0.7.2.1 and 0.3.6) on KDE 4.2.

I have an original clip in mp4 format (H264 codec) that has a length of 25 minutes. It plays fine in VLC or Mplayer - no corruption.

I open this clip in Kdenlive, change the speed to 135% and render it. The resulting file is OK for the first 10 minutes, but then the remaining (approximately 9 minutes) are "empty". The remaining frames are actually only a copy of the first frame of the video (eg, no movement after the 10th minute; I can see only a single image).

The bug is reproducible, I tried a lot of things but it happens all the time. I cannot correctly render it...

The clip can be downloaded at

http://www.elvanor.net/test/kdenlive-bug.mp4 [^]

(for some reason the download above takes a while to start but eventually starts out).
Additional InformationAsk me for more details.
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files? file icon 686.kdenlive [^] (4,305 bytes) 2009-03-07 21:58

- Relationships

-  Notes
(0002507)
elvanor (reporter)
2009-03-07 20:08

Updated the URL where the sample file is hosted to:

http://test.elvanor.net/bugs/kdenlive-bug.mp4 [^]

(Again, you have to wait one or two minutes before the dl starts...)
(0002508)
madsdyd (administrator)
2009-03-07 21:57

Acknowledged for

Kdenlive Builder Wizard version: 0.7.2
ffmpeg: Revision: 17824 Last Changed Date: 2009-03-05 08:36:16 +0100 (Thu, 05 Mar 2009)
mlt: Revision: 1373 Last Changed Date: 2009-03-03 05:57:15 +0100 (Tue, 03 Mar 2009)
mlt++: Revision: 1373 Last Changed Date: 2009-02-04 16:49:35 +0100 (Wed, 04 Feb 2009)
kdenlive: Revision: 3102 Last Changed Date: 2009-03-05 13:51:48 +0100 (Thu, 05 Mar 2009)
Qt: 4.4.3
KDE: 4.2.1 (KDE 4.2.1)
Kdenlive: 0.7.2

I downloaded the clip, and used that for testing.

My preview was broken for 135% speed (but working for 134%!), but the render seemed OK for the first 10 minutes, then frame (probably) 0 for the rest of the render.

I am not *certain* its exactly 10 minutes, but almost.

I tried cutting the clip in four on the timeline, and rerender, did not change anything.

Inspecting the project file, I noticed that the number 14999 does appear in the background track, and the slowmotion effect. (Uploading project file shortly).

This makes me rather suspecious, as 14999 in 25 fps of course is 10 minutes.
(0002509)
madsdyd (administrator)
2009-03-07 22:43

Found a workaround.

This piece of the projectfile:

 <producer in="0" out="14999" id="slowmotion:1:1.35" >
  <property name="mlt_type" >producer</property>
  <property name="aspect_ratio" >0.000000</property>
  <property name="length" >28147</property>
  <property name="eof" >pause</property>
  <property name="resource" >/scratch/Tmp/kdenlive-bug-686/kdenlive-bug.mp4?1.35</property>
  <property name="fezzik_normalised" >1</property>
  <property name="mlt_service" >framebuffer</property>
 </producer>

was changed to
 <producer in="0" out="28147" id="slowmotion:1:1.35" >
  <property name="mlt_type" >producer</property>
  <property name="aspect_ratio" >0.000000</property>
  <property name="length" >37999</property>
  <property name="eof" >pause</property>
  <property name="resource" >/scratch/Tmp/kdenlive-bug-686/kdenlive-bug.mp4?1.35</property>
  <property name="fezzik_normalised" >1</property>
  <property name="mlt_service" >framebuffer</property>
 </producer>

And, that fixed both the preview and render for me. (AFAICT, I fastforwarded the rendered file, but it looks good).

Here are the relevant diff lines:
- <producer in="0" out="14999" id="slowmotion:1:1.35" >
+ <producer in="0" out="28147" id="slowmotion:1:1.35" >

- <property name="length" >28147</property>
+ <property name="length" >37999</property>

Note, that the 14999 is 10 minutes in my profile (25 fps).

37999 is the duration of the clip. Expressed in frames of the project? The clip has an fps of 50, but a length of approx. 25 minutes. Oh well.
(0002512)
administrator (administrator)
2009-03-08 13:33
edited on: 2009-03-08 14:23

This should be fixed in MLT's latest svn (rev. 1375), at least the problem reported by madsdyd

(0002518)
madsdyd (administrator)
2009-03-08 16:05

Confirmed fixed in

ffmpeg: Revision: 17868 Last Changed Date: 2009-03-08 02:28:14 +0100 (Sun, 08 Mar 2009)
mlt: Revision: 1375 Last Changed Date: 2009-03-08 14:23:28 +0100 (Sun, 08 Mar 2009)
mlt++: Revision: 1375 Last Changed Date: 2009-02-04 16:49:35 +0100 (Wed, 04 Feb 2009)
kdenlive: Revision: 3120 Last Changed Date: 2009-03-08 15:01:19 +0100 (Sun, 08 Mar 2009)

Thanks, jb.

- Issue History
Date Modified Username Field Change
2009-02-20 18:04 elvanor New Issue
2009-02-20 18:04 elvanor Build/Install Method => Distribution package
2009-03-07 20:08 elvanor Note Added: 0002507
2009-03-07 21:57 madsdyd Note Added: 0002508
2009-03-07 21:57 madsdyd Status new => acknowledged
2009-03-07 21:58 madsdyd File Added: 686.kdenlive
2009-03-07 22:43 madsdyd Note Added: 0002509
2009-03-08 13:33 administrator Note Added: 0002512
2009-03-08 13:33 administrator Status acknowledged => feedback
2009-03-08 14:23 administrator Note Edited: 0002512
2009-03-08 16:05 madsdyd Note Added: 0002518
2009-03-08 16:05 madsdyd Status feedback => resolved
2009-03-08 16:05 madsdyd Fixed in Version => Recent git
2009-03-08 16:05 madsdyd Resolution open => fixed
2009-03-08 16:05 madsdyd Assigned To => madsdyd
2009-04-15 13:07 madsdyd Fixed in Version Recent git => 0.7.3
2009-06-18 01:51 xzhayon Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker